// alumno.h - Declaración de la clase CAlumno
#if !defined( _ALUMNO_H_ )
#define _ALUMNO_H_
#include <string>
#include <vector>
#include "asignatura.h"

class CAlumno
{
  private:
    long DNI;
    std::string nombre;
    std::string direccion;
    std::vector<CAsignatura *> asignatura;
  public:
    CAlumno(long dni = 0,std::string nom = "",std::string dir="");
    CAlumno(const CAlumno&);
    CAlumno& operator=(const CAlumno&);
    ~CAlumno();
    void asignarDNI(long dni);
    long obtenerDNI() const;
    void asignarNombre(std::string&);
    std::string obtenerNombre() const;
    void asignarDireccion(std::string&);
    std::string obtenerDireccion() const;
    CAsignatura *obtenerAsignatura(unsigned int i);
    void anyadirAsignatura(CAsignatura *);
    bool estaEnActa(int id, int& pos);
    size_t numeroAsignaturas() const;
};

#endif // _ALUMNO_H_

